Bug 11083 - lvs component of piranha segfaults
Summary: lvs component of piranha segfaults
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: piranha   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-27 20:49 UTC by intrinsic
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 14:18:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a sample lvs.cf that works with the persistent parameter (628 bytes, text/plain)
2000-04-27 20:53 UTC, intrinsic
no flags Details
this lvs.cf file also work but includes the persistent parameter for the first virtual server (645 bytes, text/plain)
2000-04-27 20:54 UTC, intrinsic
no flags Details
This lvs.cf does not work, it has the persistent parameter set for both virtual servers. (662 bytes, text/plain)
2000-04-27 20:55 UTC, intrinsic
no flags Details
Fixes this problem for me (939 bytes, patch)
2000-04-27 22:37 UTC, intrinsic
no flags Details | Diff

Description Red Hat Bugzilla 2000-04-27 20:49:50 UTC
It appears as if running the piranha components with an lvs.cf file that
has more than one virtual server, with the persistent parameter set for any
virtual server OTHER than the first one results in a SegFault when running
the lvs component with the --nofork option.  According to my debugging it
appears as if the Segfault occurs when the doSyslog function (in util.c)
calls the syslog function.

For example, this lvs.cf will work:

primary = 172.26.219.3
nat_router = 172.26.132.1 eth0:1
network = nat
service = lvs

virtual test1 {
  address = 172.26.219.96 eth1:1
  active = 1
  scheduler = rr
  port = 443

  server real1-1 {
    address = 172.26.132.33
    active = 1
    weight = 1
  }

  server real1-2 {
    address = 172.26.132.34
    active = 1
    weight = 1
  }
}

virtual test2 {
  address = 172.26.219.97 eth1:1
  active = 1
  scheduler = rr
  port = 443

  server real2-1 {
    address = 172.26.132.35
    active = 1
    weight = 1
  }

  server real2-2 {
    address = 172.26.132.36
    active = 1
    weight = 1
  }
}

So will this one:

primary = 172.26.219.3
nat_router = 172.26.132.1 eth0:1
network = nat
service = lvs

virtual test1 {
  address = 172.26.219.96 eth1:1
  active = 1
  scheduler = rr
  port = 443
  persistent = 60

  server real1-1 {
    address = 172.26.132.33
    active = 1
    weight = 1
  }

  server real1-2 {
    address = 172.26.132.34
    active = 1
    weight = 1
  }
}

virtual test2 {
  address = 172.26.219.97 eth1:1
  active = 1
  scheduler = rr
  port = 443

  server real2-1 {
    address = 172.26.132.35
    active = 1
    weight = 1
  }

  server real2-2 {
    address = 172.26.132.36
    active = 1
    weight = 1
  }
}

But this one will not:

primary = 172.26.219.3
nat_router = 172.26.132.1 eth0:1
network = nat
service = lvs

virtual test1 {
  address = 172.26.219.96 eth1:1
  active = 1
  scheduler = rr
  port = 443
  persistent = 60

  server real1-1 {
    address = 172.26.132.33
    active = 1
    weight = 1
  }

  server real1-2 {
    address = 172.26.132.34
    active = 1
    weight = 1
  }
}

virtual test2 {
  address = 172.26.219.97 eth1:1
  active = 1
  scheduler = rr
  port = 443
  persistent = 60

  server real2-1 {
    address = 172.26.132.35
    active = 1
    weight = 1
  }

  server real2-2 {
    address = 172.26.132.36
    active = 1
    weight = 1
  }
}

Comment 1 Red Hat Bugzilla 2000-04-27 20:53:59 UTC
Created attachment 214 [details]
This is a sample lvs.cf that works with the persistent parameter

Comment 2 Red Hat Bugzilla 2000-04-27 20:54:59 UTC
Created attachment 215 [details]
this lvs.cf file also work but includes the persistent parameter for the first virtual server

Comment 3 Red Hat Bugzilla 2000-04-27 20:55:59 UTC
Created attachment 216 [details]
This lvs.cf does not work, it has the persistent parameter set for both virtual servers.

Comment 4 Red Hat Bugzilla 2000-04-27 21:03:59 UTC
This may be similar to bug 10087 which I did not see the first time.

Comment 5 Red Hat Bugzilla 2000-04-27 21:04:59 UTC
Sorry, that should've been bug 10887.

Comment 6 Red Hat Bugzilla 2000-04-27 22:37:59 UTC
Created attachment 217 [details]
Fixes this problem for me

Comment 7 Red Hat Bugzilla 2000-06-27 16:49:22 UTC
This has been fixed in the latest piranha RPMs.
These can be downloaded from http://people.redhat.com/kbarrett/


Note You need to log in before you can comment on or make changes to this bug.